#### D.14.5.14 netList

Procedure from library `nets.lib` (see nets_lib).

Usage:
  netList(L); L list

Assume:
  L is a list of elements

Return:
  visual presentation of L

Theory:
  A Singular object is converted into a character array (a Net) for on screen printing.

Example:

    LIB "nets.lib";
    ring r1=101,(x,y,z),lp;
    list L=111, x+y, x3y-z, y+3z4;
    print("list L=111, x+y, x3y-z, y+3z4");
    ==> list L=111, x+y, x3y-z, y+3z4
    netList(L);
    ==> [111, x+y, x3y-z, y+3z4]
    ==>

User manual for Singular version 4.4.1, 2025, generated by texi2html.